EDIT - bug #8389

Correct handling of default values with allowOverride=false
07/18/2019 08:30 PM - Andreas Mdller

Status: Resolved Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal Found in Version:

Description

It looks like currently the preferences are deleted no matter what the allowOverride value is. But if it is "false" simply deleting does
not seem to be correct as this will force the user to use the default and not a local preference. Question is what do we use as value
then. "Null"?

Or is there a reason for always deleteing the preference if use default is chosen?
Maybe alternatively we may disallow allowOverride=false for default values. If we decide so we need to check that default values that
come from a more general subject and have a clearly defined value there can not be overriden locally.

Related issues:
Related to EDIT - bug #8385: Open issues in DB preferences Closed
Related to EDIT - feature request #8489: Further issues for DB preferences Resolved

Associated revisions

Revision e1dfd329 - 08/28/2019 09:58 AM - Katja Luther

ref #8389: disable allowOverride when 'use default' is selected

Revision 79bd864f - 08/28/2019 12:36 PM - Katja Luther

ref #8389: revert disabling of allowOverride for default selection

Revision e3fb78b6 - 09/05/2019 10:07 AM - Katja Luther

ref #8389: fix NPE and smaller issues in preferences

Revision d947e6ad - 09/05/2019 10:08 AM - Katja Luther

ref #8389: fix NPE and smaller issues in preferences

Revision 45d7ee4e - 09/05/2019 10:57 AM - Katja Luther
ref #8389: minor

Revision Obe6d8aa - 09/05/2019 10:58 AM - Katja Luther
ref #8389: minor

Revision 901d433e - 09/05/2019 12:28 PM - Katja Luther

ref #8389: fix preferred TaxonFeature Tree creation

Revision ad368340 - 09/05/2019 12:29 PM - Katja Luther

ref #8389: fix preferred TaxonFeature Tree creation

Revision 62ae7823 - 09/05/2019 12:53 PM - Katja Luther
ref #8389: adapt term preference handling

Revision acd9267c - 09/05/2019 01:00 PM - Katja Luther

ref #8389: adapt term preference handling for nametypedesignation

Revision d4527e75 - 09/05/2019 01:03 PM - Katja Luther
ref #8389: adapt term preference handling for nametypedesignation

Revision 03fa610a - 09/05/2019 01:33 PM - Katja Luther

ref #8389: common name language combo needs termtype

Revision 35910147 - 09/05/2019 01:35 PM - Katja Luther

ref #8389: common name language combo needs termtype

Revision 05bfe276 - 09/05/2019 03:11 PM - Katja Luther

ref #8389: fix problems with search preferences

Revision 1ced89e3 - 09/05/2019 03:13 PM - Katja Luther

ref #8389: fix problems with search preferences

Revision 8a925e42 - 09/05/2019 03:14 PM - Katja Luther
ref #8389: adapt term preference handling

History

#1 - 07/18/2019 08:30 PM - Andreas Miiller
- Related to bug #8385: Open issues in DB preferences added

#2 - 08/26/2019 01:46 PM - Andreas Miiller

- Target version changed from Release 5.10 to Release 5.9

Has this been fixed in 5.9 together with #8385. To me it looks like fixed but | did not test systematically.

Please set to resolved if you think it might be completely fixed.

#3 - 08/26/2019 01:46 PM - Andreas Miuller

- Related to feature request #8489: Further issues for DB preferences added

#4 - 08/28/2019 09:37 AM - Katja Luther

The actual implementation is that if the default value is chosen allowOverride is set to true and the checkbox is disabled. If the user does not want
allow override he/she has to select a concrete value.

This implementation is still missing for the following preference pages:

o . .
* sources

#5 - 08/28/2019 09:58 AM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#6 - 08/28/2019 09:58 AM - Katja Luther
- % Done changed from 0 to 50

#7 - 08/28/2019 10:03 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther
Katja Luther wrote:
The actual implementation is that if the default value is chosen allowOverride is set to true and the checkbox is disabled. If the user does not

want allow override he/she has to select a concrete value.

| don't understand this behavior. This way you can't say that you want that ALWAYS the default (this may also be the default coming from a higher
"subject") should be taken, but users may not define there own behavior.

Wyh do we need to handle default different then defined

values?
#8 - 08/28/2019 10:12 AM - Katja Luther

Andreas Muller wrote:
Katja Luther wrote:

The actual implementation is that if the default value is chosen allowOverride is set to true and the checkbox is disabled. If the user does
not want allow override he/she has to select a concrete value.

| don't understand this behavior. This way you can't say that you want that ALWAYS the default (this may also be the default coming from a
higher "subject") should be taken, but users may not define there own behavior.

Wyh do we need to handle default different then defined

values?

because we decided that we want to delete the preference when the user choose the default value and then it is not possible to define whether
allowQOverride is set to true or false.

If we want to have the possibility to define "choose default" but do not allow override then we have to save the preference again and think about an
entry for the default value.

#9 - 08/28/2019 10:28 AM - Andreas Miiller

But this is what this ticket is all about.

| can't remember that we decided to delete if "default" was selected AND allowOverride=false. We decided only that if the complete record has a
default value it should be deleted. And the complete record has default if value=default AND allowOverride=true (the later being the default for
allowOverride).

#10 - 08/28/2019 03:45 PM - Katja Luther

- Status changed from Feedback to Resolved

now the allow override selection is now handled seperatly and the preference is only removed when default + allow override is selected otherwise the
preference is set with null as value.

#11 - 08/28/2019 03:45 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller
